# Poco

# class TaskProgressNotification

Library: Foundation
Package: Tasks
Header: Poco/TaskNotification.h

## Description

This notification is posted by the TaskManager for every task that has failed with an exception.

## Inheritance

Direct Base Classes: TaskNotification

All Base Classes: Notification, RefCountedObject, TaskNotification

## Member Summary

Member Functions: progress

Inherited Functions: duplicate, name, referenceCount, release, task

## Constructors

### TaskProgressNotification

TaskProgressNotification(
Task * pTask,
float progress
);

## Destructor

### ~TaskProgressNotification

~TaskProgressNotification();

## Member Functions

### progress

float progress() const;